#include utility.js
#include ui/chat-sidebar-container.js
#include ui/chat-sidebar-buttons.js

Umi.UI.ChatSideBar = function() {
    const container = new Umi.UI.ChatSideBarContainer;
    const buttons = new Umi.UI.ChatSideBarButtons;

    const html = $e({
        attrs: {
            className: 'sidebar',
        },
        child: [
            buttons,
            container,
        ],
    });

    return {
        getElement: function() {
            return html;
        },
    };
};
